classification
Title: occasional test_threading failure
Type: crash Stage:
Components: Interpreter Core, Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, pitrou, python-dev, serhiy.storchaka, vstinner
Priority: normal Keywords:

Created on 2013-08-05 22:19 by pitrou, last changed 2013-10-10 22:50 by vstinner. This issue is now closed.

Messages (4)
msg194517 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-08-05 22:19
http://buildbot.python.org/all/builders/AMD64%20Windows%20Server%202008%20%5BSB%5D%203.x/builds/1021

======================================================================
FAIL: test_finalize_with_trace (test.test_threading.ThreadTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "E:\home\cpython\buildslave\x64\3.x.snakebite-win2k8r2sp1-amd64\build\lib\test\test_threading.py", line 323, in test_finalize_with_trace
    """)
  File "E:\home\cpython\buildslave\x64\3.x.snakebite-win2k8r2sp1-amd64\build\lib\test\script_helper.py", line 54, in assert_python_ok
    return _assert_python(True, *args, **env_vars)
  File "E:\home\cpython\buildslave\x64\3.x.snakebite-win2k8r2sp1-amd64\build\lib\test\script_helper.py", line 46, in _assert_python
    "stderr follows:\n%s" % (rc, err.decode('ascii', 'ignore')))
AssertionError: Process return code is 3, stderr follows:
Assertion failed: !PyErr_Occurred(), file ..\Objects\object.c, line 451
Fatal Python error: Aborted

Thread 0x00000e14:
  File "<string>", line 8 in killer
  File "E:\home\cpython\buildslave\x64\3.x.snakebite-win2k8r2sp1-amd64\build\lib\threading.py", line 599 in run
  File "E:\home\cpython\buildslave\x64\3.x.snakebite-win2k8r2sp1-amd64\build\lib\threading.py", line 642 in _bootstrap_inner
  File "E:\home\cpython\buildslave\x64\3.x.snakebite-win2k8r2sp1-amd64\build\lib\threading.py", line 619 in _bootstrap

Current thread 0x000006c4:
msg194521 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-08-06 00:43
> Assertion failed: !PyErr_Occurred(), file ..\Objects\object.c, line 451

This error means that PyObject_Repr() was called with an exception set. It would help to know which function called PyObject_Repr() and when.
msg196097 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-08-24 19:40
See also issue #18746.
msg196200 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-08-26 12:06
New changeset e63f19d0a651 by Victor Stinner in branch 'default':
Issue #18664, #18408: Rewrite PyErr_WriteUnraisable() to handle errors
http://hg.python.org/cpython/rev/e63f19d0a651
History
Date User Action Args
2013-10-10 22:50:20vstinnersetstatus: open -> closed
resolution: fixed
2013-08-26 12:06:57python-devsetnosy: + python-dev
messages: + msg196200
2013-08-24 19:40:24vstinnersetmessages: + msg196097
2013-08-06 00:44:01vstinnersetnosy: + christian.heimes, serhiy.storchaka
2013-08-06 00:43:28vstinnersetmessages: + msg194521
2013-08-05 22:19:25pitroucreate